<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ItemPreviewWidget Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d58/class_item_preview_widget.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ItemPreviewWidget Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ItemPreviewWidget:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d4/d58/class_item_preview_widget.png" usemap="#ItemPreviewWidget_map" alt=""/>
  <map id="ItemPreviewWidget_map" name="ItemPreviewWidget_map">
<area href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget" alt="Widget" shape="rect" coords="0,0,118,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a6f1cc7bb296b9fd3e9152f81e22d11e5"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d58/class_item_preview_widget.html#a6f1cc7bb296b9fd3e9152f81e22d11e5">SetItem</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> object)</td></tr>
<tr class="separator:a6f1cc7bb296b9fd3e9152f81e22d11e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa00147972c006df13af3293a25c91471"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d58/class_item_preview_widget.html#aa00147972c006df13af3293a25c91471">GetItem</a> ()</td></tr>
<tr class="separator:aa00147972c006df13af3293a25c91471"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a4594e3609c90f482660e5b3b763fad"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d58/class_item_preview_widget.html#a3a4594e3609c90f482660e5b3b763fad">GetView</a> ()</td></tr>
<tr class="separator:a3a4594e3609c90f482660e5b3b763fad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2da43f736024ee264f40eb4358ae55bd"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d58/class_item_preview_widget.html#a2da43f736024ee264f40eb4358ae55bd">SetView</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> viewIndex)</td></tr>
<tr class="separator:a2da43f736024ee264f40eb4358ae55bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98e8402842d58dc3d436d5cafbc4d69b"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d58/class_item_preview_widget.html#a98e8402842d58dc3d436d5cafbc4d69b">SetModelOrientation</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> vOrientation)</td></tr>
<tr class="separator:a98e8402842d58dc3d436d5cafbc4d69b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f7b204b3995bcae12c467a3e2ff9b3a"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d58/class_item_preview_widget.html#a5f7b204b3995bcae12c467a3e2ff9b3a">GetModelOrientation</a> ()</td></tr>
<tr class="separator:a5f7b204b3995bcae12c467a3e2ff9b3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5908fa5b786123398bf4bf0792bb230a"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d58/class_item_preview_widget.html#a5908fa5b786123398bf4bf0792bb230a">SetModelPosition</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> vPos)</td></tr>
<tr class="separator:a5908fa5b786123398bf4bf0792bb230a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3467d849819c084b65d6391db2cd53ff"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d58/class_item_preview_widget.html#a3467d849819c084b65d6391db2cd53ff">GetModelPosition</a> ()</td></tr>
<tr class="separator:a3467d849819c084b65d6391db2cd53ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5eea8a8403dcef741682c5df6393d4b6"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d58/class_item_preview_widget.html#a5eea8a8403dcef741682c5df6393d4b6">SetForceFlipEnable</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:a5eea8a8403dcef741682c5df6393d4b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98c2b31031780c8b29d6876955b035aa"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d58/class_item_preview_widget.html#a98c2b31031780c8b29d6876955b035aa">SetForceFlip</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> value)</td></tr>
<tr class="separator:a98c2b31031780c8b29d6876955b035aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d8/d18/gameplay_8c_source.html#l00272">272</a> of file <a class="el" href="../../d8/d18/gameplay_8c_source.html">gameplay.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aa00147972c006df13af3293a25c91471" name="aa00147972c006df13af3293a25c91471"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa00147972c006df13af3293a25c91471">&#9670;&#160;</a></span>GetItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> ItemPreviewWidget::GetItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5f7b204b3995bcae12c467a3e2ff9b3a" name="a5f7b204b3995bcae12c467a3e2ff9b3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f7b204b3995bcae12c467a3e2ff9b3a">&#9670;&#160;</a></span>GetModelOrientation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a> ItemPreviewWidget::GetModelOrientation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3467d849819c084b65d6391db2cd53ff" name="a3467d849819c084b65d6391db2cd53ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3467d849819c084b65d6391db2cd53ff">&#9670;&#160;</a></span>GetModelPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a> ItemPreviewWidget::GetModelPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3a4594e3609c90f482660e5b3b763fad" name="a3a4594e3609c90f482660e5b3b763fad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a4594e3609c90f482660e5b3b763fad">&#9670;&#160;</a></span>GetView()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ItemPreviewWidget::GetView </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a98c2b31031780c8b29d6876955b035aa" name="a98c2b31031780c8b29d6876955b035aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98c2b31031780c8b29d6876955b035aa">&#9670;&#160;</a></span>SetForceFlip()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void ItemPreviewWidget::SetForceFlip </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5eea8a8403dcef741682c5df6393d4b6" name="a5eea8a8403dcef741682c5df6393d4b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5eea8a8403dcef741682c5df6393d4b6">&#9670;&#160;</a></span>SetForceFlipEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void ItemPreviewWidget::SetForceFlipEnable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6f1cc7bb296b9fd3e9152f81e22d11e5" name="a6f1cc7bb296b9fd3e9152f81e22d11e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f1cc7bb296b9fd3e9152f81e22d11e5">&#9670;&#160;</a></span>SetItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void ItemPreviewWidget::SetItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a98e8402842d58dc3d436d5cafbc4d69b" name="a98e8402842d58dc3d436d5cafbc4d69b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98e8402842d58dc3d436d5cafbc4d69b">&#9670;&#160;</a></span>SetModelOrientation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void ItemPreviewWidget::SetModelOrientation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>vOrientation</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5908fa5b786123398bf4bf0792bb230a" name="a5908fa5b786123398bf4bf0792bb230a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5908fa5b786123398bf4bf0792bb230a">&#9670;&#160;</a></span>SetModelPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void ItemPreviewWidget::SetModelPosition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>vPos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2da43f736024ee264f40eb4358ae55bd" name="a2da43f736024ee264f40eb4358ae55bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2da43f736024ee264f40eb4358ae55bd">&#9670;&#160;</a></span>SetView()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void ItemPreviewWidget::SetView </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>viewIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >0 - default boundingbox_min + boundingbox_max + invView 1 - boundingbox_min2 + boundingbox_max2 + invView2 2 - boundingbox_min3 + boundingbox_max3 + invView3 ... </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../d8/d18/gameplay_8c_source.html">gameplay.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/d58/class_item_preview_widget.html">ItemPreviewWidget</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
